#### D.8.3.9 tolessvars

Procedure from library `presolve.lib` (see presolve_lib).

Usage:
  tolessvars(id [,s1,s2] ); id poly/ideal/vector/module/matrix, s1=string (new ordering)
  [default: s1="dp" or "ds" depending on whether the first block of the old ordering is a p- or an s-ordering, respectively]

Return:
  If id contains all vars of the basering: empty list.
  Else: ring R with the same char as the basering, but possibly less variables (only those variables which actually occur in id). In R an object IMAG (image of id under imap) is stored.

Display:
  If printlevel >=0, display ideal of vars, which have been omitted from the old ring.

Example:

    LIB "presolve.lib";
    ring r  = 0,(x,y,z),dp;
    ideal i = y2-x3,x-3,y-2x;
    def R_r = tolessvars(i,"lp");
    ==>
    ==> // variables which did not occur:
    ==> z
    ==>
    ==> // 'tolessvars' created a ring, in which an object IMAG is stored.
    ==> // To access the object, type (if the name R was assigned to the return v\
       alue):
    ==>         setring R; IMAG;
    setring R_r;
    show(basering);
    ==> // ring: (QQ),(x,y),(lp(2),C);
    ==> // minpoly = 0
    ==> // objects belonging to this ring:
    ==> // IMAG                           [0]  ideal, 3 generator(s)
    IMAG;
    ==> IMAG[1]=-x3+y2
    ==> IMAG[2]=x-3
    ==> IMAG[3]=-2x+y
    kill R_r;

User manual for Singular version 4.4.1, 2025, generated by texi2html.